%define name audacious-openspc
%define version 0.0.3
%define release %mkrel 6
%define filename bmp-OpenSPC-%version-0.01
#fixed2
%{?!mkrel:%define mkrel(c:) %{-c: 0.%{-c*}.}%{!?_with_unstable:%(perl -e '$_="%{1}";m/(.\*\\D\+)?(\\d+)$/;$rel=${2}-1;re;print "$1$rel";').%{?subrel:%subrel}%{!?subrel:1}.%{?distversion:%distversion}%{?!distversion:%(echo $[%{mdkversion}/10])}}%{?_with_unstable:%{1}}%{?distsuffix:%distsuffix}%{?!distsuffix:mdk}}
%define distsuffix plf

Summary: Super NES music plugin for Audacious Media Player
Name: %{name}
Version: %{version}
Release: %{release}
Source0: http://www.develia.org/files/%filename.tar.bz2
Patch:	xmms-OpenSPC-0.0.3-noflush.patch.bz2
Patch1:	xmms-OpenSPC-0.0.3-label-at-end-of-compound-statement.patch.bz2
Patch2: bmp-OpenSPC-0.0.3-0.01-audacious.patch.bz2
URL:	http://www.develia.org/projects.php?p=bmpports
License: GPL
Group: Sound
BuildRoot: %{_tmppath}/%{name}-buildroot
Requires: audacious
BuildRequires: nasm
BuildRequires: libaudacious-devel
Provides: beep-media-player-OpenSPC
Obsoletes: beep-media-player-OpenSPC

%description

This is a player for music in the SPC format ripped from Super NES
games. It's based on OpenSPC.

This package is in PLF because of Mandriva's policy regarding emulation 
and related tools.

%prep
%setup -q -n bmp-OpenSPC-%version
%patch
%patch1
%patch2 -p1
autoconf

%build
export CPPFLAGS=-DI_AM_A_THIRD_PARTY_DEVELOPER_WHO_NEEDS_TO_BE_KICKED_IN_THE_HEAD_BY_CHUCK_NORRIS
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
rm -f %buildroot%_libdir/audacious/Input/bmpopenspc.*a

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README TODO NEWS AUTHORS ChangeLog
%_libdir/audacious/Input/bmpopenspc.so

%changelog
* Tue Sep 26 2006 Gtz Waschk <goetz@zarb.org> 0.0.3-6plf2007.0
- rebuild

* Wed Sep 13 2006 Nicolas Lcureuil <neoclust@zarb.org> 0.0.3-4plf2007.1
- Rebuild

* Mon Aug 28 2006 Götz Waschk <goetz@zarb.org> 0.0.3-4plf2007.0
- rebuild

* Mon May 22 2006 Götz Waschk <goetz@zarb.org> 0.0.3-3plf
- rebuild for new audacious

* Sun Apr  9 2006 Götz Waschk <goetz@zarb.org> 0.0.3-2plf
- rebuild

* Fri Dec 16 2005 Götz Waschk <goetz@zarb.org> 0.0.3-1plff
- rename from beep-media-player-OpenSPC

* Tue May 31 2005 Götz Waschk <goetz@zarb.org> 0.0.3-1plf
- initial package based on the xmms version

* Mon Jan 31 2005 Guillaume Bedot <littletux@zarb.org> 0.0.3-4plf
- Reason for being in PLF 
 
* Fri Oct 05 2003 Stefan van der Eijk <stefan@eijk.nu> 0.0.3-3plf
- BuildRequires

* Sat Dec 21 2002 Götz Waschk <waschk@informatik.uni-rostock.de> 0.0.3-2plf
- remove unpackaged openspc.la
- fix buildrequires
- patch to remove flushing of the output device (crossfade compatibility)

* Wed Oct 16 2002 Götz Waschk <waschk@informatik.uni-rostock.de> 0.0.3-1plf
- initial plf package
